[![Hackage](https://img.shields.io/hackage/v/projectile.svg)](https://img.shields.io/hackage/v/projectile.svg)
[![Stackage LTS](http://stackage.org/package/projectile/badge/lts)](http://stackage.org/lts/package/projectile)
[![Stackage Nightly](http://stackage.org/package/projectile/badge/nightly)](http://stackage.org/nightly/package/projectile)
# Projectile

> Utility functions to gather information about project directories

## Table Of Contents

* [Raison d'etre](#raison-detre)
* [Development](#development)
* [License](#license)

## Raison d'etre

Inspired by [bbatsov's](https://github.com/bbatsov/projectile) work, this library was created with
the purpose of reliably access to _project_ resources in a somewhat unified way when developing CLI
tools or [Turtle](https://github.com/Gabriel439/Haskell-Turtle-Library) scripts.

## Development
[![Build Status](https://travis-ci.org/roman/Haskell-projectile}.svg?branch=master)](https://travis-ci.org/roman/Haskell-projectile)
[![Hackage Dependencies](https://img.shields.io/hackage-deps/v/projectile.svg)](https://http://packdeps.haskellers.com/feed?needle=projectile)
[![Github](https://img.shields.io/github/commits-since/roman/haskell-projectile/v0.0.0.1.svg)](https://img.shields.io/github/commits-since/roman/haskell-projectile/v0.0.0.1.svg)

This library is intended to be minimal, providing a few functions that work
reliably among many different kind of projects. If you want to contribute,
Pull Request are very welcome! Please try to follow these simple rules:

* Please create a topic branch for every separate change you make.
* Update the README.md file if necessary.
* Please _do not_ change the version number.

### Open Commit Bit

projectile has an open commit bit policy: Anyone with an accepted pull request
gets added as a repository collaborator. Please try to follow these simple
rules:

* Commit directly onto the master branch only for typos, improvements to the
  README and documentation.
* Create a feature branch and open a pull-request early for any new features to
  get feedback.
* Make sure you adhere to the general pull request rules above.

## License

Copyright (c) 2017, Roman Gonzalez

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
